- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- ReadStream
- WriteStream

# NAME

stream - Low-level image pixel FIFO (tap into encode/decode pixel stream)

# SYNOPSIS

Image * ReadStream( const ImageInfo *image_info, StreamHandler stream, ExceptionInfo *exception );

unsigned int WriteStream( const ImageInfo *image_info, Image *, StreamHandler stream );

# FUNCTION DESCRIPTIONS

## ReadStream

> ReadStream() makes the image pixels available to a user supplied callback method immediately upon reading a scanline with the ReadImage ( ) method.

> The format of the ReadStream() method is:

> Image *ReadStream ( const ImageInfo *image_info, StreamHandler stream, ExceptionInfo *exception );

A description of each parameter follows:

image_info:

  The image info.

stream:

  a callback method.

exception:

  Return any errors or warnings in this structure.

## WriteStream

> WriteStream() makes the image pixels available to a user supplied callback method immediately upon writing pixel data with the WriteImage ( ) method.

> The format of the WriteStream() method is:

> unsigned int WriteStream ( const ImageInfo *image_info, Image *, StreamHandler stream );

A description of each parameter follows:

image_info:

  The image info.

stream:

  A callback method.